//--------------------------------------------------------------
// File     : main.c
// Datum    : 01.12.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der RN42-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_led.h"
#include "stm32_ub_rn42.h"

int main(void)
{
  ErrorStatus check;
  char buf[30];

  SystemInit(); // Quarz Einstellungen aktivieren

  // init der LEDs
  UB_Led_Init();

  // init vom RN42-Modul (an PC10,PC11)
  check=UB_RN42_Init();
  if(check==SUCCESS) {
    UB_Led_On(LED_GREEN);
    // default Werte setzen
    UB_RN42_Set_BT_Adr("A1B2C3D4E5F6"); // nicht notwendig
    UB_RN42_Set_BT_Pin("1234");
    UB_RN42_Set_BT_Name("RN42-Modul STM32F4");
    // in Data-Mode umschalten
    UB_RN42_DATA_Mode();
  }
  else {
    UB_Led_On(LED_RED);
  }

  while(1)
  {
    if(check==SUCCESS) {
      // check ob Daten per Bluetooth empfangen wurden
      if(UB_RN42_ReceiveString(buf)==RN42_RX_READY) {
        UB_Led_Toggle(LED_BLUE);
        // wenn ja, als Echo zurcksenden
        UB_RN42_SendString(buf,RN42_LFCR);
      }
    }
  }
}

